# Supported Versions

Only the latest release of each major version is supported.

| Package version | CDK version | Node.js versions | Support                                                       |
| --------------- | ----------- | ---------------- | ------------------------------------------------------------- |
| v5 | ^2.51.0 | >=18 | :white_check_mark: |
| v4 | ^2.12.0 | >=14 | Security updates and critical bug fixes until 1 December 2024 |
| v3 | ^2.0.0 | >=14 | :x: Support ended on 1 February 2024 |
| v2 | ^1.99.0 | >=14 | :x: Support ended on 1 June 2023 |
| v1 | ^1.99.0 | >=12 | :x: Support ended on 21 November 2021 |

## Tags on npm

| Tag         | Description                                          | Major version | Will the version change?     |
| ----------- | ---------------------------------------------------- | ------------- | ---------------------------- |
| `latest`    | The latest stable release of the package             | `v5`          | Yes, with new major versions |
| `latest-v*` | The latest stable release of each major version      | n/a           | No                           |
| `cdk-v2`    | The latest stable release compatible with AWS CDK v2 | `v5`          | Yes, with new major versions |
| `cdk-v1`    | The latest stable release compatible with AWS CDK v1 | `v2`          | No                           |
